Public Member Functions | Public Attributes | List of all members
libfreehand::FHPropList Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHPropList ()

## Public Attributes
unsigned | m_parentId
std::map< unsigned, unsigned > | m_elements

## Constructor & Destructor Documentation

## ◆ FHPropList()

libfreehand::FHPropList::FHPropList | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_elements

std::map<unsigned, unsigned> libfreehand::FHPropList::m_elements

Referenced by libfreehand::FHCollector::_appendFillProperties(), libfreehand::FHCollector::_appendStrokeProperties(), libfreehand::FHCollector::_findContentId(), libfreehand::FHParser::readElemPropLst(), libfreehand::FHParser::readPropLst(), and libfreehand::FHParser::readStylePropLst().

## ◆ m_parentId

unsigned libfreehand::FHPropList::m_parentId

Referenced by libfreehand::FHCollector::_appendFillProperties(), libfreehand::FHCollector::_appendStrokeProperties(), libfreehand::FHParser::readElemPropLst(), and libfreehand::FHParser::readStylePropLst().

The documentation for this struct was generated from the following file:

- FHTypes.h